org.jbpm.casemgmt.impl.command

## Class AddDynamicProcessCommand

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<Long>
  - - org.jbpm.casemgmt.impl.command.AddDynamicProcessCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Long>, org.kie.api.command.Command<Long>

      public class AddDynamicProcessCommand
      extends CaseCommand<Long>

  Adds subprocess (identified by processId) to selected ad hoc process instance with given parameters
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddDynamicProcessCommand(org.kie.internal.identity.IdentityProvider identityProvider, String caseId, Long processInstanceId, String processId, Map<String,Object> parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class org.jbpm.casemgmt.impl.command.CaseCommand

      `getCaseEventSupport, getCaseFile, getIdentityProvider, getRuntimeManager, triggerRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### AddDynamicProcessCommand

          public AddDynamicProcessCommand(org.kie.internal.identity.IdentityProvider identityProvider,
                                          String caseId,
                                          Long processInstanceId,
                                          String processId,
                                          Map<String,Object> parameters)

  - ### Method Detail

    - #### execute

          public Long execute(org.kie.api.runtime.Context context)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.